﻿#region License
/*
Copyright (c) 2012 TeX HeX (http://www.texhex.info/)

Permission is hereby granted, free of charge, to any person obtaining a copy of 
this software and associated documentation files (the "Software"), to deal in the 
Software without restriction, including without limitation the rights to use, copy, 
modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, 
and to permit persons to whom the Software is furnished to do so, subject to the 
following conditions:

The above copyright notice and this permission notice shall be included in all 
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION 
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
*/
#endregion
using System.Text;

static class AssemblyInformationHelper
{
    internal const string Title = "Overlay Message Box";
    internal const string Homepage = "http://overlaymessagebox.codeplex.com/";
    internal const string Copyright = "Copyright (C) 2012 TeX HeX";
    internal const string Version = "1.02";

    internal const string TitleAndVersion = Title + " " + Version;
    internal const string TitleVersionAndHomepage = Title + " " + Version + " - " + Homepage;
}

namespace OverlayMessageBoxLibrary
{
    public sealed class ProgramBanner
    {
        public static string TitleAndVersion
        {
            get
            {
                return AssemblyInformationHelper.TitleAndVersion;
            }
        }
        public static string FullBanner
        {
            get
            {
                StringBuilder sb = new StringBuilder();

                sb.AppendLine(AssemblyInformationHelper.TitleVersionAndHomepage);
                sb.AppendLine(AssemblyInformationHelper.Copyright);
                sb.AppendLine("This is free software. You may redistribute copies of it under the terms");
                sb.AppendLine("of the MIT License: http://www.opensource.org/licenses/mit-license.php");

                return sb.ToString();
            }
        }
    }
}

